Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.command
Class ExecuteJavaHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.command.ExecuteJavaHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteJavaHeadlessHandler

    public class ExecuteJavaHandler

extends ExecuteHandler

The Class ExecuteJavaHandler.

Constructor Summary
`ExecuteJavaHandler()` Instantiates a new execute java handler.
`ExecuteJavaHandler(boolean headless)` Instantiates a new execute java handler.

Method Summary
`org.eclipse.jdt.core.IType` | `getType(java.lang.Object object)`
`boolean` | `isSupertype(java.lang.Object sel, java.lang.String className)` Checks if is supertype.
`boolean` | `isTypeSupertype(org.eclipse.jdt.core.IType type, java.lang.String className)` Checks if is supertype.

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteJavaHandler

    public ExecuteJavaHandler(boolean headless)

  Instantiates a new execute java handler.

  Parameters:
    `headless` - the headless

### ExecuteJavaHandler

    public ExecuteJavaHandler()

  Instantiates a new execute java handler.

Method Detail

### isTypeSupertype

    public boolean isTypeSupertype(org.eclipse.jdt.core.IType type,
                                   java.lang.String className)

  Checks if is supertype.

  Parameters:
    `type` - the type
    `className` - the class name
  Returns:
    true, if is supertype

### isSupertype

    public boolean isSupertype(java.lang.Object sel,
                               java.lang.String className)

  Checks if is supertype.

  Parameters:
    `sel` - the sel
    `className` - the class name
  Returns:
    true, if is supertype

### getType

    public org.eclipse.jdt.core.IType getType(java.lang.Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD